<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.project.zt.mapper.JsqaMapper">



    <select id="getJsqaList" resultType="com.ruoyi.project.zt.domain.Jsqa">
        select *
        from JSQA a
        where  1=1
        <if test="jhs!=null">
            and a.jh in
            <foreach item="jh" collection="jhs"
                     open="(" separator="," close=")">
                #{jh}
            </foreach>
        </if>
        order by jh
    </select>
    <select id="getJsqaByjhAndJs" resultType="com.ruoyi.project.zt.domain.Jsqa">

        select   jh,js, FZQK from  JSQA where 1=1

        <if test="jhs.size()>0">
            and jh in
            <foreach item="jh" collection="jhs"
                     open="(" separator="," close=")">
                #{jh}
            </foreach>
        </if>
        <if test="js!=null">
            and JS &lt;=#{js}
        </if>

    </select>
</mapper>